lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Chris Hostetter <hossman_luc...@fucit.org>
Subject Re: commit-check target for ant?
Date Mon, 13 Jun 2011 21:01:12 GMT

: Ok, I get your point and I'm not going to force it, but I don't agree
: people still running 1.5 should be able to compile from sources. I
: mean: 1.5 has been dead for a longer while now; the same argument
: could be made for java 1.4 or whatever most recent version has been

that's an argument for changing our compatibility requirement to 1.6 -- i 
don't object to having that argument (not sure how i feel about the actual 
idea given the licensing hubub and lucene's nature as a *library* that 
lots of people embed in lots of apps - but i digress) but i don't see that 
as legitimate agrument in favor of having higher overhead for compiling 
then for running.

for this discussion, it shouldn't matter what java version we are talking 
about, we could have the same argument about requiring 1.7 to compile but 
supporting binary releases that run on 1.6; or an argument about wether we 
should use a commercial tool that commiters have a license for to "build" 
java code from a source grammer -- the point is that as an open source 
project i think it's really important that *all* our users be allowed to 
compile from "source".



-Hoss

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message